#
# Modèle <album>, variante : vue sous forme de liste
#
# La syntaxe est compatible avec celle du plugin « insérer modèles », avec 2 paramètres en plus : « alias » et « description ».
# inc-yaml/album-compat.yaml contient les saisies destinées à assurer la compatiblité avec « insérer modèles » : modele, id_modele, id_album.
# inc-yaml/album-commun.yaml contient les saisies en commun aux 2 modèles de base : titre, descriptif, align, par.
#
nom: <:album:label_modele_nom_liste:>
logo: 'prive/themes/spip/images/album-24.png'
icone_barre: 'album-liste.png'
alias: <:album:label_modele_alias_liste:>
description: <:album:label_modele_description_liste:>
parametres:
  -
    saisie: 'hidden'
    options:
      nom: 'variante'
      defaut: 'liste'
  -
    saisie: 'hidden'
    options:
      nom: 'modele'
      defaut: 'album'
  -
    saisie: 'hidden'
    options:
      nom: 'id_album'
  -
    saisie: 'selection_album'
    options:
      nom: 'id_modele'
      label: <:album:label_modele_identifiant:>
      afficher_si: '@id_album@==""'
  -
    saisie: 'case'
    options:
      nom: 'titre'
      label_case: <:album:label_modele_titre:>
      valeur_oui: 'oui'
  -
    saisie: 'case'
    options:
      nom: 'descriptif'
      label_case: <:album:label_modele_descriptif:>
      valeur_oui: 'oui'
  -
    saisie: 'selection'
    options:
      nom: 'par'
      label: <:album:label_modele_trier:>
      cacher_option_intro: 'oui'
      defaut: ''
      datas:
        '': <:album:label_modele_defaut:>
        titre: <:album:label_modele_tri_titre:>
        id_document: <:album:label_modele_tri_id:>
        date: <:album:label_modele_tri_date:>
        media: <:album:label_modele_tri_media:>
  -
    saisie: 'selection'
    options:
      nom: 'align'
      label: <:album:label_modele_alignement:>
      cacher_option_intro: 'oui'
      defaut: ''
      datas:
        '': <:album:label_modele_defaut:>
        left: <:album:label_modele_alignement_gauche:>
        center: <:album:label_modele_alignement_centre:>
        right: <:album:label_modele_alignement_droite:>
  -
    saisie: 'checkbox'
    options:
      nom: 'metas'
      label: <:album:label_modele_metas:>
      datas:
        extension: <:album:label_modele_meta_extension:>
        taille: <:album:label_modele_meta_taille:>
        dimensions: <:album:label_modele_meta_dimensions:>
  -
    saisie: 'input'
    options:
      nom: 'pagination'
      label: <:album:label_modele_pagination:>
